<?php
namespace admin\controls;

class UsersManager {

  public function getContent()
  {
    $rw = \System::formGet( 'rw' );

    if ( $rw == 'add' )
      return \admin\view\UsersManager::edit();
    if ( $rw == 'edit' )
      return \admin\view\UsersManager::edit( \System::formGetInt( 'id' ) );
    if ( $rw == 'del' )
      \admin\factory\UsersManager::delete( \System::formGetInt( 'id' ) );
    return \admin\view\UsersManager::show();
  }
}
?>
